'''
Created on 7 aout 2012

@author: gerard
'''
import logging

logger = logging.getLogger('document')

class ClustersGetAttributes(object):

    def __init__(self, request):
        self.request = request
    
    def get_documentary_file_id(self):
        documentary_file_id = ''
        try:
            documentary_file_id = self.request.GET['documentary_file_id']
        except Exception, err:
            logger.info('No documentary_file_id in the http get request. ' + str(err))
        return documentary_file_id
    
    def get_user(self):
        user = ''
        try:
            user = self.request.GET['user']
        except Exception, err:
            logger.info('No user in the http get request. ' + str(err))
        return user